Subject: bug#12490: 24.2; Search inside Minibuffer don't work with M-x (M-x C-s)

From: Juri Linkov <[email-masked]>
Date: Sat, 30 Nov 2019 23:43:28 +0200

>> I tested this patch.  It works, and the behaviour seems better than
>> what we have now.
>>
>> Should it perhaps be installed?
>
> I haven't tested the patch, but if it works like I imagine (i.e., it
> allows searching in the M-x history), then that sounds very nice.

Actually, searching in the M-x history is already implemented.

This patch allows searching thru all commands available via M-x,
i.e. it's like using isearch in the *Completions* buffer like

  M-x TAB <PgUp> C-s command

with without opening the *Completions* buffer, with just

  M-x C-s command

to search commands available with M-x M-n M-n M-n ...

The problem why this patch is not installed is the need to decide
in what order to sort these commands.  The patch sorts alphabetically,
but maybe better to sort by command usage frequency, or somesuch.